// img-header styles
.img-header{
  padding-top: 115px;
  // background: $c-dark;
  // z-index: 1;
  height: 100%;
  position: relative;
  overflow: hidden;
  &:hover{
    & .img-header__arrow-prev{
      transform: translateX(0)
    }
    & .img-header__arrow-next{
      // right:0;
      transform: translateX(0)
      
    }
  }
  // display: flex;
  &__arrow{
    position: absolute;
    // background: red;
    top: 115px;
    height:calc( 100vh - 115px);    
    width: 50px;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    &-prev{
      left: 0;
      transform: translateX(-100%)
    }
    &-next{
      right: 0;
      transform: translateX(100%)
      
    }
    &-icon{
      // border: 1px solid rgba($c-dark, $alpha: .6);
      border-radius: 100%;
      // padding: 5px;
      padding: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 40px;
      height: 40px;
      background: rgba($c-dark, $alpha: .6);
      cursor: pointer;
      transition: background $t-normal;
      &:hover{
        background: rgba($c-dark, $alpha: .8);
        & .img-header__icon{
          fill: rgba($c-white, $alpha: 1);
    
        }
        
      }
    }
  }
  &__icon{
    width: 20px;
    height: 20px;
    fill: rgba($c-white, $alpha: .6);
    transition: fill $t-normal;
    
  }

  // &__item{
  // }
  &__image{
    // margin-top: 150px;
    // opacity: 0.9;
    filter: grayscale(10%) saturate(0.90) brightness(0.85) ;
    width: 100%;
    height:calc( 100vh - 115px);
    @include backgroundCoverCenter;
  }
  &__text{
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap;    
    visibility: hidden;
    &--active{
      animation: slide 1s;
      visibility: visible;
    }
  }
  &__content{
    position: absolute;
    height:100%;
    width: 100%;
    top: 0;
    left: 0;
    padding-top: 30vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: rgba($c-white, $alpha: .9) ;


  }
  &__title{
    font-weight: $fw-extrabold;
    // padding-top: 0;
    text-shadow:  2px 1px $c-dark;
    font-size: 60px; 
    padding-bottom: 20px;
  }
  &__subtitle{
    text-shadow:  2px 1px $c-dark;
    font-weight: 300;
    font-size: 50px;
    margin-bottom: 10px;
}
  &__button{
    // height: 40px;
    // width: 200px;
    background: $c-green;
    border-radius: 500px;
    color: $c-white;
    padding: 8px 65px; 
    font-size: $fs-22;
    opacity: 1;
    transition: opacity $t-normal;
    &:hover{
      opacity: .9;
    }
  }
}

////////////////////////////////////
//Responsiwe
////////////////////////////////////
@media #{$screen}{
  .img-header{
    // &__content{
    //   padding-top: 20vh;
    // }
    &__title{
      font-size: 40px; 
    }
    &__subtitle{

      font-size: 30px;
    }

  }
}
@media #{$desktop}{
  .img-header{

    &__title{
      font-size: 30px; 
    }
    &__subtitle{
      font-size: 24px;
    }
    &__button{
      padding: 8px 45px; 
      font-size: $fs-20;
    }
    &__image, &__arrow{
      // height:calc;
      height: 450px;
  
    }
  }
}
@media #{$tablet}{

.img-header{
  padding-top: 40px;
  
  &__image, &__arrow{
    // height:calc( 100vh - 250px);
    height: 350px;
    

  }
  &__arrow{
    top: 40px;
  }
  &__title{
    font-size: 20px; 
  }
  &__subtitle{
    font-size: 18px;
  }
  &__button{
    padding: 8px 45px; 
    font-size: $fs-20;
  }
}
}
@media #{$phone}{
  .img-header{

    &__image, &__arrow{
      // height:calc;
      height: 250px;
  
    }
    &__title{
      font-size: 14px; 
    }
    &__subtitle{
      font-size: 12px;
    }
    &__button{
      padding: 4px 25px; 
      font-size: $fs-12;
    }
    &__content{
      padding-top: 10vh;
    }
    &__arrow{

      width: 30px;

      &-icon{

        width: 20px;
        height: 20px;
      }  
    }
    &__icon{
      width: 10px;
      height: 10px;      
    }
  }
}
@media #{$iPhone}{
  .img-header{
    &__image, &__arrow{
      // height:calc( 100vh - 350px); 
      height: 200px;
    }
    &__title{
      font-size: 14px; 
      padding-bottom: 10px;
    }
    &__subtitle{
      font-size: 12px;
      margin-bottom: 5px;
    }
    &__button{
      padding: 4px 25px; 
      font-size: $fs-12;
    }
    &__content{
      padding-top: 10vh;
    }
  }
}